/*===========================================================================*/
/*   (Ieee/boolean.scm)                                                      */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Ieee/boolean.scm -indent -o objs/obj_u/Ieee/boolean.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
static obj_t BGl__booleanzf3zf3zz__r4_booleans_6_1z00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__r4_booleans_6_1z00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_notz00zz__r4_booleans_6_1z00(obj_t);
static obj_t BGl__notz00zz__r4_booleans_6_1z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_booleanzf3zf3zz__r4_booleans_6_1z00(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_notzd2envzd2zz__r4_booleans_6_1z00, BgL_bgl__notza700za7za7__r4_booleans_6_1za7001437z00, BGl__notz00zz__r4_booleans_6_1z00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_booleanzf3zd2envz21zz__r4_booleans_6_1z00, BgL_bgl__booleanza7f3za7f3za7za7__r4_booleans_6_1za7001438za7, BGl__booleanzf3zf3zz__r4_booleans_6_1z00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long BgL_checksumz00_300, char * BgL_fromz00_301)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__r4_booleans_6_1z00))
{ 
BGl_requirezd2initializa7ationz75zz__r4_booleans_6_1z00 = 
BBOOL(((bool_t)0)); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* not */
BGL_EXPORTED_DEF bool_t BGl_notz00zz__r4_booleans_6_1z00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* ./Ieee/boolean.scm 47 */
if(
CBOOL(BgL_objz00_1))
{ /* ./Ieee/boolean.scm 48 */
return ((bool_t)0);}  else 
{ /* ./Ieee/boolean.scm 48 */
return ((bool_t)1);} } 
}



/* _not */
obj_t BGl__notz00zz__r4_booleans_6_1z00(obj_t BgL_envz00_294, obj_t BgL_objz00_295)
{ AN_OBJECT;
{ /* ./Ieee/boolean.scm 47 */
{ /* ./Ieee/boolean.scm 48 */
bool_t BgL_auxz00_307;
if(
CBOOL(BgL_objz00_295))
{ /* ./Ieee/boolean.scm 48 */
BgL_auxz00_307 = ((bool_t)0)
; }  else 
{ /* ./Ieee/boolean.scm 48 */
BgL_auxz00_307 = ((bool_t)1)
; } 
return 
BBOOL(BgL_auxz00_307);} } 
}



/* boolean? */
BGL_EXPORTED_DEF bool_t BGl_booleanzf3zf3zz__r4_booleans_6_1z00(obj_t BgL_objz00_2)
{ AN_OBJECT;
{ /* ./Ieee/boolean.scm 53 */
return 
BOOLEANP(BgL_objz00_2);} 
}



/* _boolean? */
obj_t BGl__booleanzf3zf3zz__r4_booleans_6_1z00(obj_t BgL_envz00_296, obj_t BgL_objz00_297)
{ AN_OBJECT;
{ /* ./Ieee/boolean.scm 53 */
{ /* ./Ieee/boolean.scm 54 */
bool_t BgL_auxz00_312;
BgL_auxz00_312 = 
BOOLEANP(BgL_objz00_297); 
return 
BBOOL(BgL_auxz00_312);} } 
}

